Hermos API

Put Product Setting_emails

PUT/products/{product}/settings/emails

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

product*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/products/string/settings/emails" \  -H "Content-Type: application/json" \  -d '{    "value": {}  }'
{  "group": "emails",  "value": {    "receipt": true,    "refund": true,    "payment_failed": true,    "trial_ending": true,    "renewal_reminder": true,    "renewal_notice": true,    "annual_reminder": true,    "cancellation_confirmation": true,    "cancellation_undone": true,    "card_expiring": true,    "renewal_at_risk": true,    "payment_returned_access_ended": true,    "health": true,    "customer_emails": {      "property1": {        "enabled": true,        "wording": {          "subject": "string",          "own_line": "string"        },        "in_product": {          "enabled": true        },        "timing": {          "days_before": 0        },        "updated_at": "2019-08-24T14:15:22Z"      },      "property2": {        "enabled": true,        "wording": {          "subject": "string",          "own_line": "string"        },        "in_product": {          "enabled": true        },        "timing": {          "days_before": 0        },        "updated_at": "2019-08-24T14:15:22Z"      }    },    "sender_name": "string",    "reply_to": "user@example.com"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}